# vim: set sw=4 ts=4 et nu:

# Copyright (c) 2011-2012 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via packman@links2linux.de

Name:           kplayer
Version:        0.7.2
Release:        2.8
Summary:        KDE Video Application
Source:         http://download.kde.org/stable/kplayer/%{version}/src/kplayer-%{version}.tar.xz
URL:            http://kde-apps.org/content/show.php/KPlayer?content=142618
Group:          Productivity/Multimedia/Video/Players
License:        GPL-3.0+
BuildRoot:      %{_tmppath}/build-%{name}-%{version}
BuildRequires:  kdebase4-workspace-devel >= 4.3.0
BuildRequires:  gcc-c++ make glibc-devel pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  xz
# only needed to fix an image:
BuildRequires:  ImageMagick
#
Requires:       kdebase4-workspace
Requires:       MPlayer
%kde4_runtime_requires

%description
KPlayer is a rich multimedia player that uses the mplayer backend.

%lang_package

%package doc
Summary:        KDE Video Application - Documentation
Group:          Productivity/Multimedia/Video/Players
Requires:       %{name} = %{version}
%if 0%{?suse_version} >= 1120
BuildArch:      noarch
%endif

%description doc
KPlayer is a rich multimedia player that uses the mplayer backend.
This package contains the documentation.

%prep
%setup -q

# is actually 22x22 in the upstream tarball:
mogrify -scale 16x16 icons/hi16-action-loop.png

%build
%cmake_kde4 -d builddir
%make_jobs

%install
pushd builddir
%kde4_makeinstall
popd

%suse_update_desktop_file -r "%{name}" AudioVideo Player

%kde_post_install

%find_lang "%{name}"

# split lang file into lang and doc:
%__perl -ne 'print if m,/doc/,' <"%{name}.lang" >"%{name}-doc.lst"
%__perl -ne 'print unless m,/doc/,' <"%{name}.lang" >"%{name}-lang.lst"
%__rm "%{name}.lang"
# unconfuse vim: '

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files lang -f "%{name}-lang.lst"
%defattr(-,root,root)

%files doc -f "%{name}-doc.lst"
%defattr(-,root,root)

%files
%defattr(-,root,root)
%doc AUTHORS BUGS COPYING ChangeLog README TODO
%{_bindir}/kplayer
%{_libdir}/kde4/libkplayerpart.so
%{_datadir}/applications/kde4/kplayer.desktop
%{_datadir}/icons/*/*/apps/kplayer.*
%{_datadir}/kde4/apps/kplayer
%{_datadir}/kde4/services/ServiceMenus/kplayer-*.desktop
%{_datadir}/kde4/services/kplayerpart.desktop

%changelog
* Sat Apr 21 2012 pascal.bleser@opensuse.org
- update to 0.7.2:
  * fixed infinite loop in properties dialog
  * updated documentation and translations
* Sun Jun 12 2011 pascal.bleser@opensuse.org
- initial version (0.7.1)
